[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TProcess.Destroy

Destroy this instance of TProcess

## Declaration

Source position: process.pp line 113

`public destructor TProcess.Destroy; override;`

## Description

Destroy cleans up this instance of TProcess. Prior to calling the inherited destructor, it cleans up any streams that may have been created. If a process was started and is still executed, it is not stopped, but the standard input/output/stderr streams are no longer available, because they have been destroyed.

## Errors

None.

## See also

Create |  | Create a new instance of the TProcess class.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .